Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Use a server-side Brightalk API key in the Authorization header.

Headers

Brightalk-Version
string
default:2026-07-16

Selects the date-based API version. Omission uses the organization’s pinned default.

Allowed value: "2026-07-16"
X-Request-Id
string

A caller-generated correlation value matching [A-Za-z0-9._:-]{1,64}. Invalid values are replaced.

Maximum string length: 64
Pattern: ^[A-Za-z0-9._:-]{1,64}$

Path Parameters

message_id
string
required

LINE receipt ID returned by sendLineMessage.

Required string length: 1 - 255

Response

LINE send receipt returned.

id
string
required
Required string length: 1 - 255
contact_id
string
required
Required string length: 1 - 255
status
enum<string>
required

sent is provider acceptance, never delivery or read. pending and unknown must not trigger another send.

Available options:
pending,
sent,
failed,
unknown
error_code
enum<string> | null
required
Available options:
null,
module_unavailable,
credentials_unavailable,
authorization_changed,
provider_rejected,
delivery_unconfirmed,
dispatch_not_started
created_at
string<date-time>
required